<template>
    <b-container>
        <div>
            <h3>Cerca la squadra di un utente</h3>
            <div class="container-input">
                <b-form-input id="name" v-model="user" placeholder="ID utente"></b-form-input>
                <b-button variant="outline-primary" class="my-2 my-sm-0 btn-outline" @click="searchTeam()">Cerca</b-button>
            </div>
            <img v-if="(showUrlSingleTeam && urlSingleTeam != '')" v-bind:src="urlSingleTeam" alt="Immagine squadra"/>
            <div v-if="(urlSingleTeam == '' && showUrlSingleTeam)">
                <p class="error">Non esiste nessuna squadra per questo utente.</p>
            </div>
        </div>
        <div class="box">
            <h3>Elenco squadre</h3>
            <div class="teams">
                <b-button variant="outline-primary" class="my-2 my-sm-0 btn-outline" @click="switchImage(false)">
                    <b-icon icon="arrow-left"></b-icon>
                </b-button>
                <img v-bind:src="urlShowed" alt="Immagine squadra"/>
                <b-button variant="outline-primary" class="my-2 my-sm-0 btn-outline" @click="switchImage(true)">
                    <b-icon icon="arrow-right"></b-icon>
                </b-button>
            </div>
        </div>
    </b-container>
</template>

<script>
import axios from 'axios'

export default {
    name: 'TeamsComponent',
    data() {
        return {
            urls_teams_image: [],
            index: 0,
            urlShowed: "",
            user: "",
            urlSingleTeam: "",
            showUrlSingleTeam: false
        }
    },
    methods: {
        switchImage(next) {
            let index = this.index
            if (next) { 
                index++ 
                if (index >= this.urls_teams_image.length) { index = 0 }
            }
            else {
                index--
                if (index < 0) { index = this.urls_teams_image.length - 1 }
            }
            this.index = index
            this.urlShowed = this.urls_teams_image[this.index]
        },
        getImages: async function () {
            let res = await axios.get("http://localhost:8000/api/v1/getallteams")
            let res_temp = res.data
            this.urls_teams_image = res_temp.slice(1)
            this.index = 0
            this.urlShowed = this.urls_teams_image[this.index]
        },
        searchTeam: async function () {
            let res = await axios.get("http://localhost:8000/api/v1/getsingleteam/" + this.user)
            this.urlSingleTeam = res.data
            this.showUrlSingleTeam = true
        }
 
    },
    created: async function() {
        await this.getImages();
    }
}
</script>

<style scoped>
h3 {
    margin-bottom: 1rem;
}
.container-input {
    display: flex;
    align-items: center;
    justify-content: center;
    margin: 1rem auto;
}
.container-input input {
    width: 20%;
    margin-right: 1rem;
}
.box {
    margin-top: 2rem;
}
img {
    width: 70%;
    margin: 1rem auto;
}
.teams {
    display: flex;
    align-items: center;
    justify-content: space-between;
}
.teams img {
    margin: 1rem;
}
</style>